
class NUIThemePair<T>{
  NUIThemePair({required this.light, required this.dark});
  T light;
  T dark;
}

enum NUIFontType{
  REGULAR,
  BOLD,
  ITALIC
}

class NUIFontTheme{
  NUIFontTheme({
    required this.regular,
    required this.bold,
    required this.italic
  });

  String regular;
  String bold;
  String italic;

  String fontByType(NUIFontType fontType){
    switch(fontType){
      case NUIFontType.BOLD: return bold;
      case NUIFontType.ITALIC: return italic;
      default: return regular;
    }
  }
}